Bug 508928 - Microcrode isn't reloaded after suspend-to-disk
Microcrode isn't reloaded after suspend-to-disk
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: microcode_ctl (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kyle McMartin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 11:06 EDT by Bradley
Modified: 2015-08-31 23:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-06 08:53:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bradley 2009-06-30 11:06:04 EDT
Description of problem:

Updated microcode isn't 

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Have a CPU that has a microcode firmware updated
2. Run (or have run on bootup) |service microcode_ctl start|
3. See that microcode is loaded
4. Run again
5. See no changes (nothing actually logged when the installed version is the latest)
6. Suspend to disk
7. Resume
8. Run |service microcode_ctl| again

Actual results:

Microcode is updated

Expected results:

Should automatically be updated on resume.

Additional info:

If this is done through udev (bug 479898) that would presumably fix this too. If intel ever ships the 'new format' ucode that doesn't need a userspace program that may make this simpler, too.
Comment 1 Bug Zapper 2010-04-27 11:22:34 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bradley 2010-04-28 05:36:48 EDT
microcode_ctl-1.17-1.57.fc12.x86_64

x86info -a | grep -i microcode

shows 0x00000000000000a3 before I do suspend to disk, and 0x00000000000000a1 after.

Running the microctl initscript fixes this again.

Bug 479898 (fixed in f13) may fix this; I'll test that post-release.
Comment 3 Bug Zapper 2010-11-04 06:54:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bradley 2010-11-06 08:53:13 EDT
Has been fixed, at least in F14

Note You need to log in before you can comment on or make changes to this bug.